#pragma semicolon 1
#pragma tabsize 0

#include <sourcemod>
#include <vip_core>

#pragma newdecls required

#define szFeature "HintShowDamage"

public Plugin myinfo = 
{
	name = "[VIP] Hint Show Damage",
	author = "fr4nch",
	description = "Show damage in hint message",
	version = "1.2",
	url = "http://hlmod.ru"
};

public void OnPluginStart()
{
	if(GetEngineVersion() != Engine_CSGO)
	{
		SetFailState("Плагин работает только на CS:GO");
	}
	
	LoadTranslations("vip_hintshowdamage.phrases");

	HookEvent("player_hurt", Event_HintShowDamage, EventHookMode_Pre);

	if(VIP_IsVIPLoaded()) VIP_OnVIPLoaded();
}

public void VIP_OnVIPLoaded()
{
	VIP_RegisterFeature(szFeature, INT);
}

public void OnPluginEnd()
{
	VIP_UnregisterFeature(szFeature);
}

Action Event_HintShowDamage(Event hEvent, const char[] name, bool dontBroadcast)
{
	int iVictim = GetClientOfUserId(hEvent.GetInt("userid"));
	int iAttacker = GetClientOfUserId(hEvent.GetInt("attacker"));
	int iHealth = hEvent.GetInt("health");
	int iDmgHealth = hEvent.GetInt("dmg_health");

	if((iAttacker) && !IsFakeClient(iAttacker) && VIP_IsClientFeatureUse(iAttacker, szFeature) && iAttacker != iVictim && iVictim != 0)
	{
		char f1[5];
		int n0 = iDmgHealth % 100;
		int n1 = n0 % 10;

		if(n0 > 10 && n0 < 20) f1 = "form3";
		else if(n1 > 1 && n1 < 5) f1 = "form2";
		else if(n1 == 1) f1 = "form1";
		else f1 = "form3";

		if(VIP_GetClientFeatureInt(iAttacker, szFeature) == 1)
			PrintHintText(iAttacker, "%T <font color='#FF0000'>%i</font> %T %T <font color='#3DB1FF'>%N", "Damage Giver", iAttacker, iDmgHealth, f1, iAttacker, "Damage Taker", iAttacker, iVictim);
		else if(VIP_GetClientFeatureInt(iAttacker, szFeature) == 2)
			PrintHintText(iAttacker, "%T <font color='#FF0000'>%i</font> %T %T <font color='#3DB1FF'>%N</font>\n %t", "Damage Giver", iAttacker, iDmgHealth, f1, iAttacker, "Damage Taker", iAttacker, iVictim, "Health Remaining", iAttacker, iHealth);
	}
	return Plugin_Continue;
}